## ros-humble-as2-platform-ign-gazebo 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_platform_ign_gazebo)
project(${PROJECT_NAME} VERSION 0.2.2)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# set Release as default
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(PROJECT_DEPENDENCIES
  ament_cmake
  ament_cmake_ros
  rclcpp
  as2_core
  as2_msgs
  as2_ign_gazebo_assets
  geometry_msgs
)

foreach(DEPENDENCY ${PROJECT_DEPENDENCIES})
  find_package(${DEPENDENCY} REQUIRED)
endforeach()

set(SOURCE_CPP_FILES
  src/ignition_platform.cpp
)

include_directories(
  include
  include/${PROJECT_NAME}
)

add_executable(${PROJECT_NAME}_node src/ignition_platform_main.cpp ${SOURCE_CPP_FILES})
ament_target_dependencies(${PROJECT_NAME}_node ${PROJECT_DEPENDENCIES})

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)

  ament_cppcheck(src/ include/ tests/)
  ament_clang_format(src/ include/ tests/ --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
endif()

install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
  config
  DESTINATION share/${PROJECT_NAME}
)

install(TARGETS
  ${PROJECT_NAME}_node
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-as2-platform-ign-gazebo (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-ign-gazebo (1.0.3-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-ign-gazebo (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify platform launchers
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-ign-gazebo (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-platform-ign-gazebo (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #145 <https://github.com/aerostack2/aerostack2/issues/145> from aerostack2/add_objects_ignition_enhancement
    Windmill + load objects with bridges
  * structural changes
  * added working windmill model, added feature to load object with bridges into the world from config file
  * Merge pull request #114 <https://github.com/aerostack2/aerostack2/issues/114> from aerostack2/devel
    [all] Reduce packages and update names
  * Update namespace names
  * Rename ignition_assets to as2_ign_gazebo_assets
  * Merge pull request #113 <https://github.com/aerostack2/aerostack2/issues/113> from aerostack2/as2_platforms_rename
    Rename platforms
  * Rename platforms
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-platform-ign-gazebo (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 23:00:00 -0000

ros-humble-as2-platform-ign-gazebo (0.2.1-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-platform-ign-gazebo
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-as2-core, ros-humble-as2-ign-gazebo-assets, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-ign-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-core, ros-humble-as2-ign-gazebo-assets, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Description: Package to communicate Ignition Gazebo Simulator with Aerostack2 framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-ign-gazebo//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
